Events
Retrieve Event Vendors
Retrieves event vendors for an event
Authorization
basic auth AuthorizationBasic <token>
Authorization header with value of Basic <auth string> where the auth string value
is a base64 encoded string of <client id>:<client secret>
In: header
Path Parameters
event_id*string
Format
uuidQuery Parameters
ids*string
comma separated list of vendor ids
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/events/497f6eca-6276-4993-bfeb-53cbbbba6f08/vendors/batch?ids=string"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "business_name": "string", "business_street": "string", "business_city": "string", "business_state": "string", "business_postal_code": "string", "business_country": "string", "quote_id": "string", "offer_id": "d5a7a5b7-a4a3-49e7-9c69-b44d2cbe15cf", "status": "COIValid", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "is_test": true, "accepted": true, "metadata": { "property1": {}, "property2": {} }, "manual_review_request": "string", "event_coi": { "validation_failures": [ { "code": "string", "text": "string" } ], "read_only_signed_url": "string" }, "policy": { "policy_attributes": {}, "premium_amount": 1, "policy_number": "string", "partner": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "legal_business_name": "string" }, "policy_documents": [ { "document_type": "POLICY", "url": "string" } ], "policy_status": "ACTIVE", "issued_date": "2019-08-24T14:15:22Z", "expiration_date": "string", "effective_date": "string", "quote_date": "2019-08-24T14:15:22Z", "product": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "event-participation-cancellation-insurance", "friendly_name": "string", "abbreviation": "string", "enabled": true, "description": "string", "peril_heading": "string", "perils": [ "string" ], "descriptors": [ "string" ], "promotional_header": "string", "promotional_description": "string", "accept_action_text": "string", "decline_action_text": "string", "legal_disclaimer": "string", "privacy_policy_url": "string", "terms_conditions_url": "string", "additional_policy_purchase_email_message": "string", "layout": "string", "carrier_logo_url": "string", "carrier_name": "string", "carrier_email": "string", "carrier_phone": "string", "claims_url": "string" }, "endorsement_price_changes": 0, "subscription_premium": { "payments_required": 0, "payment_amount": 0, "can_cancel": true }, "currency": "USD", "language": "string", "total": 0, "taxes_and_fees": [ { "amount": 0, "description": "string", "type": "fee", "included_in_premium": true, "include_in_marketing_share": true, "refundable": true, "taxable": true, "per_subscription_charge": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "version": 0, "quote_id": "string", "offer_id": "d5a7a5b7-a4a3-49e7-9c69-b44d2cbe15cf", "distribution_channel": "string", "is_test": true, "metadata": { "property1": "string", "property2": "string" }, "checkout_url": "string", "recommendation": { "message": "string", "enabled": true }, "policy_holder": { "first_name": "string", "middle_name": "string", "last_name": "string", "email_address": "string", "email_address_hash": "string", "phone_number": "string", "street": "string", "city": "string", "state": "string", "postal_code": "string", "country": "string" } } }]{ "error": "string", "error_code": "string", "message": "string", "reason": "string", "status": 0}{ "error": "string", "error_code": "string", "message": "string", "reason": "string", "status": 0}{ "error": "string", "error_code": "string", "message": "string", "reason": "string", "status": 0}